
From: Dominik Brodowski <linux@dominikbrodowski.net>

Update PCMCIA driver changes for patches merged in 2.6.13

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/pcmcia/driver-changes.txt |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletion(-)

diff -puN Documentation/pcmcia/driver-changes.txt~pcmcia-documentation-update Documentation/pcmcia/driver-changes.txt
--- 25/Documentation/pcmcia/driver-changes.txt~pcmcia-documentation-update	Mon Jul 11 17:25:41 2005
+++ 25-akpm/Documentation/pcmcia/driver-changes.txt	Mon Jul 11 17:25:41 2005
@@ -1,6 +1,13 @@
 This file details changes in 2.6 which affect PCMCIA card driver authors:
 
-* in-kernel device<->driver matching
+* event handler initialization in struct pcmcia_driver (as of 2.6.13)
+   The event handler is notified of all events, and must be initialized
+   as the event() callback in the driver's struct pcmcia_driver.
+
+* pcmcia/version.h should not be used (as of 2.6.13)
+   This file will be removed eventually.
+
+* in-kernel device<->driver matching (as of 2.6.13)
    PCMCIA devices and their correct drivers can now be matched in
    kernelspace. See 'devicetable.txt' for details.
 
_
